user
Copy Page
My Project
Start your Apidog journey
petstore
user
Get user by user name
GET
Updated user
PUT
Delete user
DELETE
Create user
POST
Creates list of users with given input array
POST
Creates list of users with given input array
POST
Logs out current logged in user session
GET
Logs user into the system
GET
pet
Update an existing pet
Add a new pet to the store
Find pet by ID
Updates a pet in the store with form data
Deletes a pet
uploads an image
Finds Pets by tags
Finds Pets by status
store
Place an order for a pet
Find purchase order by ID
Delete purchase order by ID
Returns pet inventories by status
Schemas
Sample Schemas
RequestBodies
Schemas
User
Category
Pet
Tag
Order
ModelApiResponse
user
Copy Page
Logs user into the system
GET
/v2/user/login
Try it
Run in Apidog
Run in Apidog
Request
Query Params
Generate Code
Responses
🟢
200
OK
application/json
successful operation
Body
Generate Code
ðŸŸ
400
Bad Request
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
--request
GET
'/v2/user/login?username&password'
Response
Response Example
200 -
Example 1
"string"
Modified atÂ
2025-06-05 06:33:15
Previous
Logs out current logged in user session
Next
Update an existing pet